/* You can change this file
This css is for anything related to colours of main divs

Paste the brand colours you've been given here: 
    
orange: #f7941d;
purple: #203e72;
green: #4aab50
dark-grey: #333333
blue:#203e72;
grey:#666;
--dark-grey:#515151;
    */
:root {
	/* brand root colours */
	--purple:#203e72;
	--green:#4aab50;
	--light-blue:#518bca;
	--dark-grey:#222222;
	--blue:#203e72;
	--light-grey:#666;
	--orange:#f7941d;
	--transparent-black: #00000070; /* var(--transparent-black) */
	/* element colours */
	
	--brand-background:	black;
	--brand-text-color: white;
	--main-color:black;
	--header-color: white;
	--header-background: var(--purple);
	--topnav-background:var(--orange);
	--topnav-color: white;
	--nav-background: var(--purple);
	--nav-color: white;
    --nav-hover-color: var(--orange);
	--button-background: var(--purple);
	--button-color: white;
	--footer-background: var(--dark-grey);
	--footer-color: white;
}

.invert {
	filter: brightness(0) invert(1);
}

.has-background, .brand_colour {
	color: var(--brand-text-color);
}

html, body, #main { color: var(--main-color); }

#page {
color: inherit;
}

/* Backgrounds */

#page {
background: inherit;    
}

#header { color: var(--header-color);
 background: var(--header-background); 
 }

#topnav {
background: var(--topnav-background);
color:var(--topnav-color);
}

#header > #page {
background: transparent !important;
}

#logo {
background: inherit;
}

#nav {
background: var(--nav-background); 
color: var(--nav-color); 
}

#nav li a {
background: transparent;    
color: var(--nav-color);   
}

#nav li a:hover {
    color: var(--nav-hover-color);
}

.sub-menu li a:hover {
opacity:0.8;}

#gallery {
	background-color:var(--green);
	color:white!important;
}

#gallery #halfblock {
   background: transparent;
	color: white;
}

button, .wp-block-button {
   background: var(--button-background);
   color: var(--button-color);
   border: 3px solid var(--light-green);
}

.has-background button, .has-background .wp-block-button, .has-background button a, .has-background .wp-block-button a{
	/* switched */
  /* color: var(--button-background);
   background: var(--button-color);*/
}

.wp-block-columns.icons p {
	color:white;
}

#leftbar #fullblock li:hover {
	color:white;
}

#leftbar #fullblock li:nth-of-type(1):hover {
	background:#3a579a;
}

#leftbar #fullblock li:nth-of-type(2):hover {
	background:#00abf0;
}

#leftbar #fullblock li:nth-of-type(3):hover {
	background:#75aa33;
}
#leftbar #fullblock li:nth-of-type(4):hover {
background:#127bb6;
}

#leftbar #fullblock li:nth-of-type(5):hover {
	background:#d1d1d1;
}


#halfblock {
background: inherit;
}

#thirdblock {
    background: inherit;
}


#footer {
   background: var(--footer-background);
   color: var(--footer-color);
}

	#footer #halfblock:nth-of-type(2) #sociallinks li:hover {
	color:white;}
	
	#footer #halfblock:nth-of-type(2) #sociallinks li:nth-of-type(1):hover {
		background:#3a579a;
	}
	
	#footer #halfblock:nth-of-type(2) #sociallinks li:nth-of-type(2):hover {
		background:#00abf0;
	}
	
	#footer #halfblock:nth-of-type(2) #sociallinks li:nth-of-type(3):hover {
		background:#127bb6;
	}

